args <- commandArgs(TRUE)

sqliteDBPath <- args[[1]]
sqlQuery <- args[[2]]
outputTablePath <- args[[3]]


cat("Loading R libraries...\n")
require(RSQLite)
#require(sqldf)
driver = dbDriver("SQLite")

cat(paste("Querying database, ", basename(sqliteDBPath), "\n",sep="",collapse=""))
con <- dbConnect(driver, dbname = sqliteDBPath)

rs <- dbSendQuery(con, sqlQuery) # rs: resultSet object
rs.table <- fetch(rs, n = -1)
dbClearResult(rs)
dbDisconnect(con)

cat("writing DB table...\n")
write.table(rs.table, file = outputTablePath, sep="\t", quote=FALSE, row.names = FALSE)

# report execution:
if(file.exists(outputTablePath)){
  cat(paste("output table; ", basename(outputTablePath), " printed!",sep="",collapse=""))
} else {
  cat("...Hmmn, table not outputted..")
}




